ServerEvents.recipes(event => {
    event.replaceInput(
        {mod: 'botanypots'},
        'minecraft:flower_pot',
        '#kubejs:grist/agricultural/basic'
    );

    event.replaceInput(
        {mod: 'botanypots'},
        'minecraft:hopper',
        '#forge:hoppers'
    )
})